<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.yutou.jianr_mg">

    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />    <!-- 如果需要精确定位的话请加上此权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />    <!-- targetSdkVersion >= 26 时需要配置此权限，否则无法进行安装app的动作 -->


    <application
        android:name="com.yutou.jianr_mg.Application"
        android:configChanges="keyboardHidden|orientation"
        android:icon="@mipmap/icon_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/icon_logo_round"
        android:usesCleartextTraffic="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:fullBackupContent="@xml/backup_descriptor"
        android:allowBackup="true"
        tools:targetApi="n">

        <meta-data
            android:name="UMENG_APPKEY"
            android:value="5c4f0bfcf1f556353e000016" />
        <meta-data
            android:name="UMENG_CHANNEL"
            android:value="R" />

        <activity
            android:name="com.yutou.jianr_mg.LoadingActivity"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="com.yutou.jianr_mg.MainActivity" />

        <service
            android:name="com.yutou.jianr_mg.services.DownloadService"
            android:enabled="true"
            android:exported="true" />
        <service android:name="com.yutou.jianr_mg.services.WindowsService" />

        <activity
            android:name="com.yutou.jianr_mg.views.BaseActivity"
            android:theme="@style/AppTheme" />
        <activity android:name="com.yutou.jianr_mg.views.WebActivity" />
        <activity android:name="com.yutou.jianr_mg.views.ModListActivity" />
        <activity android:name="com.yutou.jianr_mg.views.ModActivity" />
        <activity android:name="com.yutou.jianr_mg.views.DownloadListActivity" />
        <activity android:name="com.yutou.jianr_mg.views.FavoritesActivity" />
        <activity android:name="com.yutou.jianr_mg.views.UpFeedBack" />
        <activity android:name="com.yutou.jianr_mg.views.ConfigActivity" />
        <activity android:name="com.yutou.jianr_mg.views.UserDefinedActivity" />
        <activity android:name="com.yutou.jianr_mg.views.LicenseActivity" />
        <activity android:name="com.yutou.jianr_mg.views.RegisterActivity" />
        <activity android:name="com.yutou.jianr_mg.views.ExcelActivity" />
        <activity android:name="com.yutou.jianr_mg.views.TestActivity" />
        <activity android:name="com.yutou.jianr_mg.views.WindowsStartActivity" />

        <!--广点通-->
        <service
            android:name="com.qq.e.comm.DownloadService"
            android:exported="false" />

        <activity
            android:name="com.qq.e.ads.ADActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize" />
        <activity
            android:name="com.qq.e.ads.PortraitADActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.qq.e.ads.LandscapeADActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:screenOrientation="landscape" />
        <activity android:name=".views.WarLogActivity" />
        <activity android:name=".views.GameDataActivity" />
        <activity android:name=".views.NativeAdActivity" />
        <activity android:name=".views.UserDataActivity" />


        <provider
            android:name="com.yutou.jianr_mg.Tools.MyFileProvider"
            android:authorities="com.yutou.jianr_mg.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/gdt_file_path" />
        </provider>
        <uses-library android:name="org.apache.http.legacy" android:required="false" />
    </application>

</manifest>